CSYTRS(3f)

NAME
CSYTRS - a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U*D*U**T or A = L*D*L**T computed by CSYTRF

SYNOPSIS

SUBROUTINE CSYTRS(
    UPLO, N, NRHS, A, LDA, IPIV, B, LDB, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, LDB, N, NRHS

INTEGER
    IPIV( * )

COMPLEX
    A( LDA, * ), B( LDB, * )

PURPOSE
CSYTRS solves a system of linear equations A*X = B with a complex symmetric matrix A using the factorization A = U*D*U**T or A = L*D*L**T computed by CSYTRF.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the details of the factorization are stored as an upper or lower triangular matrix. = 'U': Upper triangular, form is A = U*D*U**T;
    = 'L': Lower triangular, form is A = L*D*L**T.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

A       (input) COMPLEX array, dimension (LDA,N)
    The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by CSYTRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

IPIV    (input) INTEGER array, dimension (N)
    Details of the interchanges and the block structure of D as determined by CSYTRF.

B       (input/output) COMPLEX array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value